void send_robosapien(u8 cmd);
void send_icybie(u16 code16);

// ICybie IR codes
#define ICYBIE_REMOTE1 0xA0
#define ICYBIE_REMOTE2 0xA1
#define ICYBIE_REMOTE3 0xA2
#define ICYBIE_REMOTE4 0xA3
#define ICYBIE_REMOTE5 0xA4
#define ICYBIE_REMOTE6 0xA5
#define ICYBIE_REMOTE7 0xA6
#define ICYBIE_REMOTE8 0xA7
#define ICYBIE_REMOTE9 0xA8
#define ICYBIE_REMOTE10 0xA9
#define ICYBIE_REMOTE11 0xAA
#define ICYBIE_REMOTE12 0xAB
#define ICYBIE_REMOTE_SMALL 0xAC
#define ICYBIE_REMOTE_LARGE 0xAD

// RoboSapien IR codes
#define ROBOSAP_TURN_RIGHT 0x80
#define ROBOSAP_RIGHT_ARM_UP 0x81
#define ROBOSAP_RIGHT_ARM_OUT 0x82
#define ROBOSAP_TILT_BODY_RIGHT 0x83
#define ROBOSAP_RIGHT_ARM_DOWN 0x84
#define ROBOSAP_RIGHT_ARM_IN 0x85
#define ROBOSAP_WALK_FORWARD 0x86
#define ROBOSAP_WALK_BACKWARD 0x87
#define ROBOSAP_TURN_LEFT 0x88
#define ROBOSAP_LEFT_ARM_UP 0x89
#define ROBOSAP_LEFT_ARM_OUT 0x8A
#define ROBOSAP_TILT_BODY_LEFT 0x8B
#define ROBOSAP_LEFT_ARM_DOWN 0x8C
#define ROBOSAP_LEFT_ARM_IN 0x8D
#define ROBOSAP_STOP 0x8E
#define ROBOSAP_MASTER_COMMAND_PROGRAM 0x90
#define ROBOSAP_PROGRAM_PLAY 0x91
#define ROBOSAP_RIGHT_SENSOR_PROGRAM 0x92
#define ROBOSAP_LEFT_SENSOR_PROGRAM 0x93
#define ROBOSAP_SONIC_SENSOR_PROGRAM 0x94
#define ROBOSAP_RIGHT_TURN_STEP 0xA0
#define ROBOSAP_RIGHT_HAND_THUMP 0xA1
#define ROBOSAP_RIGHT_HAND_THROW 0xA2
#define ROBOSAP_SLEEP 0xA3
#define ROBOSAP_RIGHT_HAND_PICKUP 0xA4
#define ROBOSAP_LEAN_BACKWARD 0xA5
#define ROBOSAP_FORWARD_STEP 0xA6
#define ROBOSAP_BACKWARD_STEP 0xA7
#define ROBOSAP_LEFT_TURN_STEP 0xA8
#define ROBOSAP_LEFT_HAND_THUMP 0xA9
#define ROBOSAP_LEFT_HAND_THROW 0xAA
#define ROBOSAP_LISTEN 0xAB
#define ROBOSAP_LEFT_HAND_PICKUP 0xAC
#define ROBOSAP_LEAN_FORWARD 0xAD
#define ROBOSAP_RESET 0xAE
#define ROBOSAP_MASTER_COMMAND_PROGRAM_EXECUTE 0xB0
#define ROBOSAP_WAKEUP 0xB1
#define ROBOSAP_RIGHT_SENSOR_PROGRAM_EXECUTE 0xB2
#define ROBOSAP_LEFT_SENSOR_PROGRAM_EXECUTE 0xB3
#define ROBOSAP_SONIC_SENSOR_PROGRAM_EXECUTE 0xB4
#define ROBOSAP_RIGHT_HAND_STRIKE_3 0xC0
#define ROBOSAP_RIGHT_HAND_SWEEP 0xC1
#define ROBOSAP_BURP 0xC2
#define ROBOSAP_RIGHT_HAND_STRIKE_2 0xC3
#define ROBOSAP_HIGH_5 0xC4
#define ROBOSAP_RIGHT_HAND_STRIKE_1 0xC5
#define ROBOSAP_BULLDOZER 0xC6
#define ROBOSAP_OOPS 0xC7
#define ROBOSAP_LEFT_HAND_STRIKE_3 0xC8
#define ROBOSAP_LEFT_HAND_SWEEP 0xC9
#define ROBOSAP_WHISTLE 0xCA
#define ROBOSAP_LEFT_HAND_STRIKE_2 0xCB
#define ROBOSAP_TALKBACK 0xCC
#define ROBOSAP_LEFT_HAND_STRIKE_1 0xCD
#define ROBOSAP_ROAR 0xCE
#define ROBOSAP_ALL_DEMO 0xD0
#define ROBOSAP_POWER_OFF 0xD1 // Rosebud
#define ROBOSAP_DEMO_1 0xD2 // KARATE SKITS
#define ROBOSAP_DEMO_2 0xD3 // RUDE SKITS
#define ROBOSAP_DANCE 0xD4 // DANCE SKITS

// #define ROBOSAP_GREEN_SHIFT 0x20    // from non-shifted
// #define ROBOSAP_ORANGE_SHIFT 0x40    // from non-shifted
